2019-06-24 23:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002442NetSurf[All Projects] Generalpublic2016-11-22 21:55
Reporteruser3 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRaspberry Pi Model BOSRaspbianOS VersionRaspbian Jessie
Product Version3.2 
Target VersionFixed in Version3.6 
Summary0002442: GTK SSL certifcate problem causes browser crash
DescriptionSometimes when browsing the web I'll get an SSL certficate error. There are two boxes with no text in them on the screen, and each are labeled as "SSL certificate problem". The browser is unusable while the two boxes are on the screen. After pressing accept on both boxes the browser crashes. This happens on many websites. This never happened on Raspbian Wheezy.
Steps To ReproduceOn a Raspbian Jessie system. go to http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair
Additional Informationpi@raspberrypi:~ $ netsurf -v
(0.000003) utils/nsoption.c nsoption_read 605: Sucessfully opened '/home/pi/.config/netsurf/Choices' for Options file
(0.001512) gtk/gui.c get_cache_home 1140: "/home/pi/.cache/netsurf"
(0.002789) desktop/netsurf.c netsurf_init 159: NetSurf version '3.2 (26th August 2014)'
(0.003724) desktop/netsurf.c netsurf_init 166: NetSurf on <Linux>, node <raspberrypi>, release <4.1.17+>, version <0000838 Tue Feb 9 12:57:10 GMT 2016>, machine <armv6l>
(0.004782) utils/messages.c messages_load 124: Loading Messages from '/usr/share/netsurf/en/Messages'
(0.010631) image/image_cache.c image_cache_init 380: Image cache initilised with a limit of 3145728 hysteresis of 629145
(0.013016) render/html_css_fetcher.c html_css_fetcher_initialise 64: html_css_fetcher_initialise called for x-ns-css
(0.016456) content/fetchers/curl.c fetch_curl_register 172: curl_version libcurl/7.38.0 OpenSSL/1.0.1k zlib/1.2.8 libidn/1.29 libssh2/1.4.3 librtmp/2.3
(0.065066) utils/useragent.c user_agent_build_string 68: Built user agent "NetSurf/3.2 (Linux)"
(0.066272) content/fetchers/curl.c fetch_curl_register 242: ca_path: '/etc/ssl/certs'
(0.067211) content/fetchers/curl.c fetch_curl_register 254: cURL linked against openssl
(0.068251) content/fetchers/curl.c fetch_curl_initialise 297: Initialise cURL fetcher for http
(0.069197) content/fetchers/curl.c fetch_curl_initialise 297: Initialise cURL fetcher for https
(0.070193) content/fetchers/data.c fetch_data_initialise 66: fetch_data_initialise called for data
(0.073257) content/llcache.c llcache_initialise 3030: llcache initialising with a limit of 9437184 bytes
(0.074400) content/fs_backing_store.c read_control 889: opening control file "/home/pi/.cache/netsurf/control"
(0.075623) content/fs_backing_store.c read_entries 762: Allocating 2097152 bytes for max of 65536 entries
(0.076903) content/fs_backing_store.c read_entries 777: Read 52 entries
(0.078136) content/fs_backing_store.c build_entrymap 669: Allocating 2097152 bytes for max of 1048576 buckets
(0.079203) content/fs_backing_store.c initialise 1045: FS backing store init successful
(0.079666) content/fs_backing_store.c initialise 1047: path:/home/pi/.cache/netsurf limit:1073741824 hyst:0 addr:20 entries:16
(0.080065) content/fs_backing_store.c initialise 1048: Using 1073741824/1437499
(0.084869) javascript/jsapi.c js_initialise 46: New runtime handle 0x1b5cb70
(0.092555) gtk/gui.c gui_init 360: Using '/usr/share/netsurf/' for resource path
(0.387056) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/netsurf.gtk2.ui' as netsurf ui template file
(0.407180) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/tabcontents.gtk2.ui' as tabcontents ui template file
(0.514076) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/password.gtk2.ui' as password ui template file
(0.570823) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/login.gtk2.ui' as login ui template file
(0.651340) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/ssl.gtk2.ui' as ssl ui template file
(0.696553) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/toolbar.gtk2.ui' as toolbar ui template file
(0.759343) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/downloads.gtk2.ui' as downloads ui template file
(0.862782) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/history.gtk2.ui' as history ui template file
(1.874233) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/options.gtk2.ui' as options ui template file
(1.949053) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/hotlist.gtk2.ui' as hotlist ui template file
(2.004948) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/cookies.gtk2.ui' as cookies ui template file
(2.118496) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/viewdata.gtk2.ui' as viewdata ui template file
(2.128121) gtk/gui.c nsgtk_new_ui 207: Using '/usr/share/netsurf/warning.gtk2.ui' as warning ui template file
(2.195083) gtk/gui.c gui_init 376: Using '/usr/share/netsurf/SearchEngines' as Search Engines file
(2.197226) gtk/gui.c gui_init 393: Using '/usr/share/netsurf/toolbarIndices' as custom toolbar settings file
(2.247900) content/urldb.c urldb_load 360: Loading URL file /home/pi/.config/netsurf/URLs
(2.249806) content/urldb.c urldb_load 534: Successfully loaded URL file
(2.250487) gtk/gui.c gui_init 417: Set CSS DPI to 95.955078
(2.321239) desktop/treeview.c treeview_init 3849: Initialising treeview module
(2.339465) desktop/treeview.c treeview_init 3871: Initialised treeview module
(2.339657) desktop/global_history.c global_history_init 718: Loading global history
(2.340489) gtk/font_pango.c nsfont_pango_check 61: Creating nsfont_pango_context.
(2.341848) gtk/font_pango.c nsfont_pango_check 66: Creating nsfont_pango_layout.
(2.395796) desktop/global_history.c global_history_init 774: Loaded global history
(2.537519) desktop/cookie_manager.c cookie_manager_init 760: Generating cookie manager data
(2.567694) desktop/cookie_manager.c cookie_manager_init 797: Generated cookie manager data
(2.664411) desktop/hotlist.c hotlist_init 1148: Loading hotlist
(2.687794) desktop/hotlist.c hotlist_init 1185: Loaded hotlist
(2.733815) javascript/jsapi.c js_newcontext 340: New Context 0x1d5cda8
(2.744013) gtk/window.c gui_window_create 740: Creating gui window 0x1d5bf68 for browser window 0x1d5ccd0
(2.748234) gtk/scaffolding.c nsgtk_new_scaffolding 1989: Constructing a scaffold of 0x1d6d888 for gui_window 0x1d5bf68
(2.811405) gtk/toolbar.c nsgtk_toolbar_customization_load 1051: empty read toolbar settings
(3.327177) gtk/scaffolding.c gui_search_web_provider_update 2443: name:Google bitmap (nil)
(3.331414) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(3.332714) content/fs_backing_store.c get_store_entry 487: url:http://www.google.com/favicon.ico
(3.333684) content/fs_backing_store.c fetch 1169: retriving cache file for url:http://www.google.com/favicon.ico
(3.334796) content/fs_backing_store.c store_open 640: opening /home/pi/.cache/netsurf/m/M/I/2/MI2VURB
(3.335821) content/fs_backing_store.c fetch 1201: Reading 420 bytes into 0x1db1800 from file
(3.336826) content/llcache.c llcache_process_metadata 1261: Processing retrived data
(3.337754) content/fs_backing_store.c get_store_entry 487: url:http://www.google.com/favicon.ico
(3.342143) content/fs_backing_store.c fetch 1169: retriving cache file for url:http://www.google.com/favicon.ico
(3.342406) content/fs_backing_store.c store_open 640: opening /home/pi/.cache/netsurf/d/M/I/2/MI2VURB
(3.342649) content/fs_backing_store.c fetch 1201: Reading 5430 bytes into 0x1dc0000 from file
(3.485395) gtk/scaffolding.c nsgtk_new_scaffolding 2266: creation complete
(3.544172) gtk/tabs.c nsgtk_tab_switch_page_after 160: sel 0
(3.545833) desktop/browser.c browser_window_navigate 1822: bw 0x1d5ccd0, url about:welcome
(3.549735) desktop/browser.c browser_window_navigate 1921: Loading 'about:welcome'
(3.628605) content/content.c content__init 83: url http://www.google.com/favicon.ico -> 0x1ded888
(3.650980) content/content.c content_add_user 601: content http://www.google.com/favicon.ico (0x1ded888), user 0x7f670 0x1d65ae0
(3.655895) content/content.c content_convert 283: content http://www.google.com/favicon.ico (0x1ded888)
(3.656177) desktop/searchweb.c search_web_ico_callback 289: icon 'http://www.google.com/favicon.ico' retrived
(3.656382) gtk/scaffolding.c gui_search_web_provider_update 2443: name:Google bitmap 0x1c421c8
(3.657609) content/content.c content__init 83: url file:///usr/share/netsurf/icons/search.png -> 0x1de9678
(3.657965) content/content.c content_add_user 601: content file:///usr/share/netsurf/icons/search.png (0x1de9678), user 0x7f670 0x1cc2c30
(3.658784) image/png.c info_callback 182: size 17 * 17, rowbytes 68
(3.659212) content/content.c content_convert 283: content file:///usr/share/netsurf/icons/search.png (0x1de9678)
(3.659504) image/image_cache.c image_cache_add 479: centry 0x1c76668, content 0x1de9678, bitmap 0x1bcbb90
(3.659701) desktop/searchweb.c default_ico_callback 441: default icon 'file:///usr/share/netsurf/icons/search.png' retrived
(3.661503) content/content.c content__init 83: url file:///usr/share/netsurf/icons/content.png -> 0x1deca68
(3.662053) content/content.c content_add_user 601: content file:///usr/share/netsurf/icons/content.png (0x1deca68), user 0x7f670 0x1d37b00
(3.662756) image/png.c info_callback 182: size 17 * 17, rowbytes 68
(3.663241) content/content.c content_convert 283: content file:///usr/share/netsurf/icons/content.png (0x1deca68)
(3.663473) image/image_cache.c image_cache_add 479: centry 0x1c62830, content 0x1deca68, bitmap 0x1de9c10
(3.663727) content/content.c content__init 83: url file:///usr/share/netsurf/icons/arrow-l.png -> 0x1deee48
(3.663946) content/content.c content_add_user 601: content file:///usr/share/netsurf/icons/arrow-l.png (0x1deee48), user 0x7f670 0x1d37778
(3.664489) image/png.c info_callback 182: size 17 * 17, rowbytes 68
(3.664871) content/content.c content_convert 283: content file:///usr/share/netsurf/icons/arrow-l.png (0x1deee48)
(3.665095) image/image_cache.c image_cache_add 479: centry 0x1de37d0, content 0x1deee48, bitmap 0x1c7a870
(3.666562) content/content.c content__init 83: url file:///usr/share/netsurf/icons/directory2.png -> 0x1dec338
(3.682058) content/content.c content_add_user 601: content file:///usr/share/netsurf/icons/directory2.png (0x1dec338), user 0x7f670 0x1d3ac98
(3.683084) image/png.c info_callback 182: size 17 * 17, rowbytes 68
(3.685187) content/content.c content_convert 283: content file:///usr/share/netsurf/icons/directory2.png (0x1dec338)
(3.692285) image/image_cache.c image_cache_add 479: centry 0x1c645a8, content 0x1dec338, bitmap 0x1defe68
(3.692614) content/content.c content__init 83: url file:///usr/share/netsurf/icons/directory.png -> 0x1def0c8
(3.698986) content/content.c content_add_user 601: content file:///usr/share/netsurf/icons/directory.png (0x1def0c8), user 0x7f670 0x1d37a58
(3.699589) image/png.c info_callback 182: size 17 * 17, rowbytes 68
(3.699993) content/content.c content_convert 283: content file:///usr/share/netsurf/icons/directory.png (0x1def0c8)
(3.700287) image/image_cache.c image_cache_add 479: centry 0x1d3b040, content 0x1def0c8, bitmap 0x1dec5c8
(3.701719) content/content.c content__init 83: url file:///usr/share/netsurf/en/welcome.html -> 0x1df04f0
(3.702758) render/html_css.c html_css_new_stylesheets 547: 2 fetches active
(3.704035) render/html_css.c html_css_new_stylesheets 574: 3 fetches active
(3.704201) content/content.c content_add_user 601: content file:///usr/share/netsurf/en/welcome.html (0x1df04f0), user 0x7f670 0x1d902f0
(3.704594) content/content.c content__init 83: url file:///usr/share/netsurf/icons/search.png -> 0x1dff670
(3.704827) content/content.c content_add_user 601: content file:///usr/share/netsurf/icons/search.png (0x1dff670), user 0x7f670 0x1d38328
(3.705431) image/png.c info_callback 182: size 17 * 17, rowbytes 68
(3.705835) content/content.c content_convert 283: content file:///usr/share/netsurf/icons/search.png (0x1dff670)
(3.706078) image/image_cache.c image_cache_add 479: centry 0x1dff8f0, content 0x1dff670, bitmap 0x1dff558
(3.735974) content/content.c content_convert 283: content file:///usr/share/netsurf/en/welcome.html (0x1df04f0)
(3.737068) render/html.c html_convert 1028: quirks set to 0
(3.737991) render/html.c html_convert 1032: 2 fetches active
(3.739836) render/html_css.c html_stylesheet_from_domnode 198: 3 fetches active
(3.743340) render/html_css.c html_css_process_modified_style 275: Updating sheet (nil) with 0x1e00840
(3.744524) content/content.c content__init 83: url file:///usr/share/netsurf/gtkdefault.css -> 0x1e097f0
(3.747518) content/content.c content_add_user 601: content file:///usr/share/netsurf/gtkdefault.css (0x1e097f0), user 0x7f670 0x1cd9488
(3.772987) content/content.c content_convert 283: content file:///usr/share/netsurf/gtkdefault.css (0x1e097f0)
(3.773298) render/html_css.c html_convert_css_callback 112: stylesheet resource:user.css failed: UnacceptableType
(3.773471) render/html_css.c html_convert_css_callback 116: 2 fetches active
(3.774824) content/content.c content__init 83: url file:///usr/share/netsurf/default.css -> 0x1e0eaf0
(3.775221) content/content.c content_add_user 601: content file:///usr/share/netsurf/default.css (0x1e0eaf0), user 0x7f670 0x1e1a510
(3.793821) content/content.c content_convert 283: content file:///usr/share/netsurf/default.css (0x1e0eaf0)
(3.797847) render/html_css.c html_convert_css_callback 104: done stylesheet slot 0 'file:///usr/share/netsurf/gtkdefault.css'
(3.799151) render/html_css.c html_convert_css_callback 106: 1 fetches active
(3.802197) content/content.c content__init 83: url x-ns-css:0 -> 0x1e1cf28
(3.802602) content/content.c content_add_user 601: content x-ns-css:0 (0x1e1cf28), user 0x7f670 0x1e00840
(3.806139) content/content.c content_convert 283: content x-ns-css:0 (0x1e1cf28)
(3.822298) render/html_css.c html_convert_css_callback 104: done stylesheet slot 4 'x-ns-css:0'
(3.822477) render/html_css.c html_convert_css_callback 106: 0 fetches active
(3.822653) render/html.c html_begin_conversion 1085: Completing parse
(3.822978) render/html.c html_finish_conversion 577: DOM to box (0x1df04f0)
(3.825137) render/html_object.c html_fetch_object 711: 1 fetches active
(3.833398) content/content.c content__init 83: url file:///usr/share/netsurf/netsurf.png -> 0x1e0ff70
(3.833676) content/content.c content_add_user 601: content file:///usr/share/netsurf/netsurf.png (0x1e0ff70), user 0x7f670 0x1e01898
(3.836345) content/content.c content_convert 283: content file:///usr/share/netsurf/netsurf.png (0x1e0ff70)
(3.836663) image/image_cache.c image_cache_add 479: centry 0x1e16960, content 0x1e0ff70, bitmap (nil)
(3.841836) content/content.c content__init 83: url file:///usr/share/netsurf/netsurf.png -> 0x1e30888
(3.852645) content/content.c content_add_user 601: content file:///usr/share/netsurf/netsurf.png (0x1e30888), user 0x7f670 0x1e1b2e0
(3.855246) content/content.c content_convert 283: content file:///usr/share/netsurf/netsurf.png (0x1e30888)
(3.859100) image/image_cache.c image_cache_add 479: centry 0x1de1d18, content 0x1e30888, bitmap (nil)
(3.859301) render/html_object.c html_object_callback 160: 0 fetches active
(3.861289) render/html.c html_box_convert_done 85: Done XML to box (0x1df04f0)
(3.864809) gtk/window.c gui_window_get_dimensions 1193: width: 1
(3.872134) gtk/window.c gui_window_get_dimensions 1194: height: 1
(3.872284) content/content.c content__reformat 362: 0x1df04f0 file:///usr/share/netsurf/en/welcome.html
(4.226116) utils/url.c url_host_is_ip_address 105: WARNING: called with non-host '/usr/share/netsurf/en/welcome.html'
(4.227886) content/content.c content_open 744: content 0x1df04f0 file:///usr/share/netsurf/en/welcome.html
(4.229131) content/content.c content_open 744: content 0x1e30888 file:///usr/share/netsurf/netsurf.png
(4.231181) desktop/browser_history.c browser_window_history_add 550: Creating thumbnail for file:///usr/share/netsurf/en/welcome.html
(4.376551) desktop/browser.c browser_window_update_favicon 1067: fetching general favicon from 'resource:favicon.ico'
(4.475600) content/content.c content__init 83: url file:///usr/share/netsurf/favicon.png -> 0x1ebedd8
(4.476953) content/content.c content_add_user 601: content file:///usr/share/netsurf/favicon.png (0x1ebedd8), user 0x7f670 0x1eb69a0
(4.478633) image/png.c info_callback 182: size 17 * 17, rowbytes 68
(4.480055) content/content.c content_convert 283: content file:///usr/share/netsurf/favicon.png (0x1ebedd8)
(4.481281) image/image_cache.c image_cache_add 479: centry 0x1ebc6d0, content 0x1ebedd8, bitmap 0x1dffa00
(4.482391) gtk/window.c gui_window_set_icon 929: Using 0x1dffa00 bitmap
(4.528795) desktop/browser.c browser_window_schedule_reformat 2400: Scheduleing 0xce150(0x1d5bf68)
(4.950390) content/content.c content__reformat 362: 0x1df04f0 file:///usr/share/netsurf/en/welcome.html
(11.107907) utils/url.c url_host_is_ip_address 105: WARNING: called with non-host 'www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(16.481059) desktop/browser.c browser_window_navigate 1822: bw 0x1d5ccd0, url http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair
(16.486009) utils/url.c url_host_is_ip_address 105: WARNING: called with non-host '/usr/share/netsurf/en/welcome.html'
(16.488809) desktop/browser.c browser_window_navigate 1921: Loading 'http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(16.490869) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(16.503041) content/fs_backing_store.c get_store_entry 487: url:http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair
(16.503335) content/fs_backing_store.c fetch 1163: entry not found
(16.503597) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x1f14438, url 'http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(16.506729) utils/url.c url_host_is_ip_address 105: WARNING: called with non-host 'www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(17.189236) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(17.194005) content/content.c content__init 83: url http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair -> 0x1f610c8
(17.195977) render/html_css.c html_css_new_stylesheets 547: 2 fetches active
(17.197159) render/html_css.c html_css_new_stylesheets 574: 3 fetches active
(17.198219) content/content.c content_add_user 601: content http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair (0x1f610c8), user 0x7f670 0x1ee81b0
(17.221093) desktop/browser.c browser_window_update_favicon 1071: fetching favicon rel:shortcut icon 'https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico'
(17.232212) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(17.232368) content/fs_backing_store.c get_store_entry 487: url:https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico
(17.232524) content/fs_backing_store.c fetch 1163: entry not found
(17.232673) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x1faf9a8, url 'https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico'
(17.293857) content/content.c content__init 83: url file:///usr/share/netsurf/gtkdefault.css -> 0x1f62518
(17.294326) content/content.c content_add_user 601: content file:///usr/share/netsurf/gtkdefault.css (0x1f62518), user 0x7f670 0x1f650c0
(17.298850) content/content.c content_convert 283: content file:///usr/share/netsurf/gtkdefault.css (0x1f62518)
(17.303322) render/html_css.c html_convert_css_callback 112: stylesheet resource:user.css failed: UnacceptableType
(17.303495) render/html_css.c html_convert_css_callback 116: 2 fetches active
(17.303961) render/html_css.c html_stylesheet_from_domnode 198: 3 fetches active
(17.304202) render/html_css.c html_css_process_modified_style 275: Updating sheet (nil) with 0x1fc4090
(17.304350) render/html_css.c html_stylesheet_from_domnode 167: No text content
(17.377388) render/html_css.c html_css_process_link 404: linked stylesheet 6 'https://assets.guim.co.uk/stylesheets/3ad7225f38001774a2b4c22bd7f3f237/content.css'
(17.378532) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(17.379453) content/fs_backing_store.c get_store_entry 487: url:https://assets.guim.co.uk/stylesheets/3ad7225f38001774a2b4c22bd7f3f237/content.css
(17.380483) content/fs_backing_store.c fetch 1163: entry not found
(17.383041) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x1fd6960, url 'https://assets.guim.co.uk/stylesheets/3ad7225f38001774a2b4c22bd7f3f237/content.css'
(17.384847) render/html_css.c html_css_process_link 438: 4 fetches active
(17.425021) content/content.c content__init 83: url x-ns-css:1 -> 0x1fcece0
(17.435010) content/content.c content_add_user 601: content x-ns-css:1 (0x1fcece0), user 0x7f670 0x1fc4090
(17.437554) content/content.c content_convert 283: content x-ns-css:1 (0x1fcece0)
(17.442819) render/html_css.c html_convert_css_callback 104: done stylesheet slot 4 'x-ns-css:1'
(17.443819) render/html_css.c html_convert_css_callback 106: 3 fetches active
(17.444460) content/content.c content__init 83: url file:///usr/share/netsurf/default.css -> 0x1fd35f0
(17.445053) content/content.c content_add_user 601: content file:///usr/share/netsurf/default.css (0x1fd35f0), user 0x7f670 0x1f62fc8
(17.472822) content/content.c content_convert 283: content file:///usr/share/netsurf/default.css (0x1fd35f0)
(17.473154) render/html_css.c html_convert_css_callback 104: done stylesheet slot 0 'file:///usr/share/netsurf/gtkdefault.css'
(17.473318) render/html_css.c html_convert_css_callback 106: 2 fetches active
(17.641758) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(17.643686) content/fs_backing_store.c get_store_entry 487: url:https://i.guim.co.uk/img/media/62d5329e48fd02cdb7d67de5bae0da9c922f2260/0_150_4368_2621/master/4368.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=e227e31ae5b7310d28ef208d10364cf3
(17.644727) content/fs_backing_store.c fetch 1163: entry not found
(17.645658) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x20373c8, url 'https://i.guim.co.uk/img/media/62d5329e48fd02cdb7d67de5bae0da9c922f2260/0_150_4368_2621/master/4368.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=e227e31ae5b7310d28ef208d10364cf3'
(17.700867) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(17.712780) content/fs_backing_store.c get_store_entry 487: url:https://i.guim.co.uk/img/media/715e0fd89f62d1b1192b4f24f6368bbcc3f9bb77/0_16_5616_3370/master/5616.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=a9c6aa486b4df63e418c76733c0c4cc3
(17.713697) content/fs_backing_store.c fetch 1163: entry not found
(17.714588) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x205f608, url 'https://i.guim.co.uk/img/media/715e0fd89f62d1b1192b4f24f6368bbcc3f9bb77/0_16_5616_3370/master/5616.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=a9c6aa486b4df63e418c76733c0c4cc3'
(17.888704) render/html_css.c html_stylesheet_from_domnode 198: 3 fetches active
(17.889795) render/html_css.c html_css_process_modified_style 275: Updating sheet (nil) with 0x1fcbf98
(17.890728) render/html_css.c html_stylesheet_from_domnode 167: No text content
(17.891643) render/html_css.c html_stylesheet_from_domnode 167: No text content
(17.893113) render/html_css.c html_stylesheet_from_domnode 167: No text content
(17.893812) render/html_css.c html_stylesheet_from_domnode 167: No text content
(17.948345) content/fetchers/curl.c fetch_curl_done 860: done http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair
(17.954755) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x1f14438, url 'http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(17.994066) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(17.994284) content/fs_backing_store.c get_store_entry 487: url:https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=
(17.994482) content/fs_backing_store.c fetch 1163: entry not found
(17.994632) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x1f3cd08, url 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25='
(17.996027) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(17.999271) content/fs_backing_store.c get_store_entry 487: url:http://beacon.guim.co.uk/count/pva.gif
(17.999440) content/fs_backing_store.c fetch 1163: entry not found
(17.999594) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x1f3e7d8, url 'http://beacon.guim.co.uk/count/pva.gif'
(18.001143) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(18.001360) content/fs_backing_store.c get_store_entry 487: url:http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0
(18.001521) content/fs_backing_store.c fetch 1163: entry not found
(18.001671) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x1f3fe90, url 'http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0'
(18.002724) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(18.012109) content/fs_backing_store.c get_store_entry 487: url:http://beacon.guim.co.uk/count/pv.gif
(18.022163) content/fs_backing_store.c fetch 1163: entry not found
(18.022381) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x1f40fc8, url 'http://beacon.guim.co.uk/count/pv.gif'
(18.023948) content/content.c content_convert 283: content http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair (0x1f610c8)
(18.024193) render/html.c html_convert 1028: quirks set to 0
(18.024402) render/html.c html_convert 1032: 2 fetches active
(18.024654) content/content.c content__init 83: url x-ns-css:2 -> 0x2143838
(18.024992) content/content.c content_add_user 601: content x-ns-css:2 (0x2143838), user 0x7f670 0x1fcbf98
(18.355536) content/content.c content_convert 283: content x-ns-css:2 (0x2143838)
(18.357026) render/html_css.c html_convert_css_callback 104: done stylesheet slot 5 'x-ns-css:2'
(18.358073) render/html_css.c html_convert_css_callback 106: 1 fetches active
(18.605984) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(18.609828) content/fetchers/curl.c fetch_curl_done 860: done https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico
(18.611493) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x1faf9a8, url 'https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico'
(18.615521) content/content.c content__init 83: url https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico -> 0x21c6ca0
(18.623842) content/content.c content_add_user 601: content https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico (0x21c6ca0), user 0x7f670 0x1faf108
(18.785442) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(18.792692) content/content.c content__init 83: url https://assets.guim.co.uk/stylesheets/3ad7225f38001774a2b4c22bd7f3f237/content.css -> 0x1fb7220
(18.793952) content/content.c content_add_user 601: content https://assets.guim.co.uk/stylesheets/3ad7225f38001774a2b4c22bd7f3f237/content.css (0x1fb7220), user 0x7f670 0x1fc57f8
(18.957255) content/content.c content_convert 283: content https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico (0x21c6ca0)
(18.958657) content/content.c content_close 761: content 0x1ebedd8 file:///usr/share/netsurf/favicon.png
(18.959641) content/content.c content_remove_user 629: content file:///usr/share/netsurf/favicon.png (0x1ebedd8), user 0x7f670 0x1eb69a0
(18.960766) gtk/window.c gui_window_set_icon 929: Using 0x2288578 bitmap
(18.976452) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(19.075386) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 302
(19.082778) content/fetchers/curl.c fetch_curl_process_headers 1232: FETCH_REDIRECT, 'http://www.google.com/ads/user-lists/971225648/?script=0&random=2104656487'
(19.083744) content/fetchers/curl.c fetch_curl_abort 727: fetch 0x1f3fe90, url 'http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0'
(19.084895) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(19.092035) content/fs_backing_store.c get_store_entry 487: url:http://www.google.com/ads/user-lists/971225648/?script=0&random=2104656487
(19.092301) content/fs_backing_store.c fetch 1163: entry not found
(19.092499) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x21d21c0, url 'http://www.google.com/ads/user-lists/971225648/?script=0&random=2104656487'
(19.094481) content/fetchers/curl.c fetch_curl_done 860: done http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0
(19.094728) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x1f3fe90, url 'http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0'
(19.126713) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(19.131244) content/fetchers/curl.c fetch_curl_done 860: done https://i.guim.co.uk/img/media/62d5329e48fd02cdb7d67de5bae0da9c922f2260/0_150_4368_2621/master/4368.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=e227e31ae5b7310d28ef208d10364cf3
(19.131425) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x20373c8, url 'https://i.guim.co.uk/img/media/62d5329e48fd02cdb7d67de5bae0da9c922f2260/0_150_4368_2621/master/4368.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=e227e31ae5b7310d28ef208d10364cf3'
(19.137675) content/fetchers/curl.c fetch_curl_done 860: done https://i.guim.co.uk/img/media/715e0fd89f62d1b1192b4f24f6368bbcc3f9bb77/0_16_5616_3370/master/5616.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=a9c6aa486b4df63e418c76733c0c4cc3
(19.155097) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x205f608, url 'https://i.guim.co.uk/img/media/715e0fd89f62d1b1192b4f24f6368bbcc3f9bb77/0_16_5616_3370/master/5616.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=a9c6aa486b4df63e418c76733c0c4cc3'
(19.157541) content/fetchers/curl.c fetch_curl_done 860: done https://assets.guim.co.uk/stylesheets/3ad7225f38001774a2b4c22bd7f3f237/content.css
(19.158752) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x1fd6960, url 'https://assets.guim.co.uk/stylesheets/3ad7225f38001774a2b4c22bd7f3f237/content.css'
(19.160187) content/content.c content__init 83: url https://i.guim.co.uk/img/media/715e0fd89f62d1b1192b4f24f6368bbcc3f9bb77/0_16_5616_3370/master/5616.jpg?w=300&q=55&auto=format&usm=12&fit=max -> 0x1f3fe58
(19.161339) content/content.c content_add_user 601: content https://i.guim.co.uk/img/media/715e0fd89f62d1b1192b4f24f6368bbcc3f9bb77/0_16_5616_3370/master/5616.jpg?w=300&q=55&auto=format&usm=12&fit=max (0x1f3fe58), user 0x7f670 0x205f418
(19.162032) content/content.c content__init 83: url https://i.guim.co.uk/img/media/62d5329e48fd02cdb7d67de5bae0da9c922f2260/0_150_4368_2621/master/4368.jpg?w=300&q=55&auto=format&usm=12&fit=ma -> 0x228d298
(19.162823) content/content.c content_add_user 601: content https://i.guim.co.uk/img/media/62d5329e48fd02cdb7d67de5bae0da9c922f2260/0_150_4368_2621/master/4368.jpg?w=300&q=55&auto=format&usm=12&fit=ma (0x228d298), user 0x7f670 0x20371c0
(19.732961) content/content.c content_convert 283: content https://assets.guim.co.uk/stylesheets/3ad7225f38001774a2b4c22bd7f3f237/content.css (0x1fb7220)
(19.734462) render/html_css.c html_convert_css_callback 104: done stylesheet slot 6 'https://assets.guim.co.uk/stylesheets/3ad7225f38001774a2b4c22bd7f3f237/content.css'
(19.735489) render/html_css.c html_convert_css_callback 106: 0 fetches active
(19.736533) render/html.c html_begin_conversion 1085: Completing parse
(19.738384) render/html.c html_finish_conversion 577: DOM to box (0x1f610c8)
(19.750659) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(19.751308) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(19.752336) content/fetchers/curl.c fetch_curl_done 860: done http://beacon.guim.co.uk/count/pva.gif
(19.752583) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x1f3e7d8, url 'http://beacon.guim.co.uk/count/pva.gif'
(19.752856) content/fetchers/curl.c fetch_curl_done 860: done http://beacon.guim.co.uk/count/pv.gif
(19.758958) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x1f40fc8, url 'http://beacon.guim.co.uk/count/pv.gif'
(19.759873) content/content.c content__init 83: url http://beacon.guim.co.uk/count/pv.gif -> 0x1f3e7a0
(19.760170) content/content.c content_add_user 601: content http://beacon.guim.co.uk/count/pv.gif (0x1f3e7a0), user 0x7f670 0x1f40ee8
(19.760506) content/content.c content__init 83: url http://beacon.guim.co.uk/count/pva.gif -> 0x215b1b8
(19.760707) content/content.c content_add_user 601: content http://beacon.guim.co.uk/count/pva.gif (0x215b1b8), user 0x7f670 0x1f3e690
(19.760882) content/content.c content_convert 283: content https://i.guim.co.uk/img/media/715e0fd89f62d1b1192b4f24f6368bbcc3f9bb77/0_16_5616_3370/master/5616.jpg?w=300&q=55&auto=format&usm=12&fit=max (0x1f3fe58)
(19.761397) image/image_cache.c image_cache_add 479: centry 0x1fd69f0, content 0x1f3fe58, bitmap (nil)
(19.761680) content/content.c content_convert 283: content https://i.guim.co.uk/img/media/62d5329e48fd02cdb7d67de5bae0da9c922f2260/0_150_4368_2621/master/4368.jpg?w=300&q=55&auto=format&usm=12&fit=ma (0x228d298)
(19.761975) image/image_cache.c image_cache_add 479: centry 0x1f3f320, content 0x228d298, bitmap (nil)
(19.766230) content/content.c content_convert 283: content http://beacon.guim.co.uk/count/pv.gif (0x1f3e7a0)
(19.782340) content/content.c content_convert 283: content http://beacon.guim.co.uk/count/pva.gif (0x215b1b8)
(19.833776) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(19.834093) content/fetchers/curl.c fetch_curl_done 860: done http://www.google.com/ads/user-lists/971225648/?script=0&random=2104656487
(19.834261) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x21d21c0, url 'http://www.google.com/ads/user-lists/971225648/?script=0&random=2104656487'
(19.839328) content/content.c content__init 83: url http://www.google.com/ads/user-lists/971225648/?script=0&random=2104656487 -> 0x2224830
(19.842817) content/content.c content_add_user 601: content http://www.google.com/ads/user-lists/971225648/?script=0&random=2104656487 (0x2224830), user 0x7f670 0x1f3fca0
(19.847910) content/content.c content_convert 283: content http://www.google.com/ads/user-lists/971225648/?script=0&random=2104656487 (0x2224830)
(19.896023) content/fetchers/curl.c fetch_curl_done 860: done https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=
(19.902221) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 302
(19.902382) content/fetchers/curl.c fetch_curl_process_headers 1232: FETCH_REDIRECT, 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?AQB=1&pccr=true&vidn=2B71D74A051D0393-40001909600A5BA3&c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=&AQE=1'
(19.902605) content/fetchers/curl.c fetch_curl_abort 727: fetch 0x1f3cd08, url 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25='
(19.902908) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(19.903064) content/fs_backing_store.c get_store_entry 487: url:https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?AQB=1&pccr=true&vidn=2B71D74A051D0393-40001909600A5BA3&c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=&AQE=1
(19.903255) content/fs_backing_store.c fetch 1163: entry not found
(19.903406) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x212d4e8, url 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?AQB=1&pccr=true&vidn=2B71D74A051D0393-40001909600A5BA3&c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=&AQE=1'
(19.904167) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x1f3cd08, url 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25='
(19.932748) render/html_object.c html_fetch_object 711: 1 fetches active
(19.945425) content/content.c content_add_user 601: content https://i.guim.co.uk/img/media/62d5329e48fd02cdb7d67de5bae0da9c922f2260/0_150_4368_2621/master/4368.jpg?w=300&q=55&auto=format&usm=12&fit=ma (0x228d298), user 0x7f670 0x223c860
(19.945660) render/html_object.c html_object_callback 160: 0 fetches active
(20.035761) render/html_object.c html_fetch_object 711: 1 fetches active
(20.046325) content/content.c content_add_user 601: content https://i.guim.co.uk/img/media/715e0fd89f62d1b1192b4f24f6368bbcc3f9bb77/0_16_5616_3370/master/5616.jpg?w=300&q=55&auto=format&usm=12&fit=max (0x1f3fe58), user 0x7f670 0x22f3258
(20.046597) render/html_object.c html_object_callback 160: 0 fetches active
(20.065028) content/fetchers/curl.c fetch_curl_done 860: done https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?AQB=1&pccr=true&vidn=2B71D74A051D0393-40001909600A5BA3&c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=&AQE=1
(20.080636) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 302
(20.080784) content/fetchers/curl.c fetch_curl_process_headers 1232: FETCH_REDIRECT, 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=228942968&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(20.080928) content/fetchers/curl.c fetch_curl_abort 727: fetch 0x212d4e8, url 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?AQB=1&pccr=true&vidn=2B71D74A051D0393-40001909600A5BA3&c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=&AQE=1'
(20.081197) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(20.081345) content/fs_backing_store.c get_store_entry 487: url:https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=228942968&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair
(20.081498) content/fs_backing_store.c fetch 1163: entry not found
(20.081635) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x2305ca0, url 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=228942968&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(20.082174) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x212d4e8, url 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?AQB=1&pccr=true&vidn=2B71D74A051D0393-40001909600A5BA3&c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=&AQE=1'
(20.087088) content/content.c content_destroy 388: content 0x1ebedd8 file:///usr/share/netsurf/favicon.png
(20.279948) content/fetchers/curl.c fetch_curl_done 860: done https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=228942968&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair
(20.285144) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x2305ca0, url 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=228942968&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(20.329870) desktop/sslcert_viewer.c sslcert_viewer_init 356: Building certificate viewer
(20.347257) desktop/sslcert_viewer.c sslcert_viewer_init 382: Built certificate viewer
(20.650534) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(20.652580) content/fs_backing_store.c get_store_entry 487: url:https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=
(20.652788) content/fs_backing_store.c fetch 1163: entry not found
(20.652943) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x2374a08, url 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25='
(20.653789) render/html_object.c html_fetch_object 711: 1 fetches active
(20.658956) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x237e218, url 'http://beacon.guim.co.uk/count/pva.gif'
(20.659487) render/html_object.c html_fetch_object 711: 2 fetches active
(20.673481) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(20.673704) content/fs_backing_store.c get_store_entry 487: url:http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0
(20.673849) content/fs_backing_store.c fetch 1163: entry not found
(20.673998) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x23911a0, url 'http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0'
(20.674488) render/html_object.c html_fetch_object 711: 3 fetches active
(20.676885) render/html.c html_box_convert_done 85: Done XML to box (0x1f610c8)
(20.678560) content/content.c content_close 761: content 0x1df04f0 file:///usr/share/netsurf/en/welcome.html
(20.678793) content/content.c content_close 761: content 0x1e30888 file:///usr/share/netsurf/netsurf.png
(20.678937) content/content.c content_remove_user 629: content file:///usr/share/netsurf/en/welcome.html (0x1df04f0), user 0x7f670 0x1d902f0
(20.679100) gtk/window.c gui_window_get_dimensions 1193: width: 987
(20.679240) gtk/window.c gui_window_get_dimensions 1194: height: 600
(20.679373) content/content.c content__reformat 362: 0x1f610c8 http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair
(21.380868) content/content.c content_open 744: content 0x1f610c8 http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair
(21.382625) content/content.c content_open 744: content 0x1f3fe58 https://i.guim.co.uk/img/media/715e0fd89f62d1b1192b4f24f6368bbcc3f9bb77/0_16_5616_3370/master/5616.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=a9c6aa486b4df63e418c76733c0c4cc3
(21.383707) content/content.c content_open 744: content 0x228d298 https://i.guim.co.uk/img/media/62d5329e48fd02cdb7d67de5bae0da9c922f2260/0_150_4368_2621/master/4368.jpg?w=300&q=55&auto=format&usm=12&fit=max&s=e227e31ae5b7310d28ef208d10364cf3
(21.386865) desktop/browser_history.c browser_window_history_add 550: Creating thumbnail for http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair
(21.776000) desktop/browser.c browser_window_navigate 1822: bw 0x2408cc8, url http://www.theguardian.com/email/form/footer/1493
(21.777264) desktop/browser.c browser_window_navigate 1921: Loading 'http://www.theguardian.com/email/form/footer/1493'
(21.778436) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(21.779414) content/fs_backing_store.c get_store_entry 487: url:http://www.theguardian.com/email/form/footer/1493
(21.780346) content/fs_backing_store.c fetch 1163: entry not found
(21.781339) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x201df28, url 'http://www.theguardian.com/email/form/footer/1493'
(21.785592) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(21.794203) content/fetchers/curl.c fetch_curl_done 860: done https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25=
(21.794466) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 302
(21.794605) content/fetchers/curl.c fetch_curl_process_headers 1232: FETCH_REDIRECT, 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(21.794751) content/fetchers/curl.c fetch_curl_abort 727: fetch 0x2374a08, url 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25='
(21.795025) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(21.795179) content/fs_backing_store.c get_store_entry 487: url:https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair
(21.795342) content/fs_backing_store.c fetch 1163: entry not found
(21.795491) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x2423148, url 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(21.798091) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x2374a08, url 'https://hits-secure.theguardian.com/b/ss/guardiangu-network/1/H.25.3/?c3=The+Guardian&c4=Mobile+phones%2CConsumer+affairs%2CConsumer+rights%2CMoney%2CiPhone+6%2CMobile+phones%2CApple%2CTechnology%2CWorld+news%2CSmartphones%2CiOS&cdp=2&c11=money&c8=2450167&v7=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&event=&ns=guardian&c19=frontend&v23=&c56=No+Javascript&c67=nextgenServed&v8=2450167&c9=Article&ch=money&c30=content&c6=Miles+Brignall&e27=&g=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c13=&pageName=GFE%3Amoney%3AArticle%3Aerror-53-apple-iphone-software-update-handset-worthless-third-party-repair&c14=1458&c10=News&c25='
(21.801320) content/fetchers/curl.c fetch_curl_done 860: done http://beacon.guim.co.uk/count/pva.gif
(21.801488) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x237e218, url 'http://beacon.guim.co.uk/count/pva.gif'
(21.804054) content/content.c content__init 83: url http://beacon.guim.co.uk/count/pva.gif -> 0x22edea0
(21.808163) content/content.c content_add_user 601: content http://beacon.guim.co.uk/count/pva.gif (0x22edea0), user 0x7f670 0x236d788
(21.808383) content/content.c content_open 744: content 0x22edea0 http://beacon.guim.co.uk/count/pva.gif
(21.809257) content/content.c content_convert 283: content http://beacon.guim.co.uk/count/pva.gif (0x22edea0)
(21.822314) render/html_object.c html_object_callback 160: 2 fetches active
(22.227109) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 302
(22.228167) content/fetchers/curl.c fetch_curl_process_headers 1232: FETCH_REDIRECT, 'http://www.google.com/ads/user-lists/971225648/?script=0&random=2220413622'
(22.229243) content/fetchers/curl.c fetch_curl_abort 727: fetch 0x23911a0, url 'http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0'
(22.230207) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(22.231207) content/fs_backing_store.c get_store_entry 487: url:http://www.google.com/ads/user-lists/971225648/?script=0&random=2220413622
(22.232178) content/fs_backing_store.c fetch 1163: entry not found
(22.232730) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x2422750, url 'http://www.google.com/ads/user-lists/971225648/?script=0&random=2220413622'
(22.238909) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(22.249844) content/fetchers/curl.c fetch_curl_done 860: done http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0
(22.256196) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x23911a0, url 'http://googleads.g.doubleclick.net/pagead/viewthroughconversion/971225648/?value=0&guid=ON&script=0'
(22.256458) content/fetchers/curl.c fetch_curl_done 860: done http://www.theguardian.com/email/form/footer/1493
(22.256621) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x201df28, url 'http://www.theguardian.com/email/form/footer/1493'
(22.258157) content/content.c content__init 83: url http://www.theguardian.com/email/form/footer/1493 -> 0x1ecf4f0
(22.261385) render/html_css.c html_css_new_stylesheets 547: 2 fetches active
(22.261641) render/html_css.c html_css_new_stylesheets 574: 3 fetches active
(22.261799) content/content.c content_add_user 601: content http://www.theguardian.com/email/form/footer/1493 (0x1ecf4f0), user 0x7f670 0x2407398
(22.308440) content/content.c content_convert 283: content http://www.theguardian.com/email/form/footer/1493 (0x1ecf4f0)
(22.319753) render/html.c html_convert 1028: quirks set to 0
(22.320779) render/html.c html_convert 1032: 2 fetches active
(22.335056) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(22.335557) content/fetchers/curl.c fetch_curl_done 860: done https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair
(22.338575) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x2423148, url 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(22.398756) desktop/sslcert_viewer.c sslcert_viewer_init 356: Building certificate viewer
(22.403302) desktop/sslcert_viewer.c sslcert_viewer_init 382: Built certificate viewer
(22.482732) content/fetchers/curl.c fetch_curl_done 860: done http://www.google.com/ads/user-lists/971225648/?script=0&random=2220413622
(22.492155) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x2422750, url 'http://www.google.com/ads/user-lists/971225648/?script=0&random=2220413622'
(22.493118) render/html_css.c html_stylesheet_from_domnode 198: 3 fetches active
(22.493692) render/html_css.c html_css_process_modified_style 275: Updating sheet (nil) with 0x24828b0
(22.493853) render/html_css.c html_stylesheet_from_domnode 167: No text content
(22.493990) render/html_css.c html_stylesheet_from_domnode 167: No text content
(22.494426) render/html_css.c html_stylesheet_from_domnode 167: No text content
(22.494604) render/html_css.c html_stylesheet_from_domnode 167: No text content
(22.495661) content/content.c content__init 83: url http://www.google.com/ads/user-lists/971225648/?script=0&random=2220413622 -> 0x2374c00
(22.496827) content/content.c content_add_user 601: content http://www.google.com/ads/user-lists/971225648/?script=0&random=2220413622 (0x2374c00), user 0x7f670 0x235a1c0
(22.497529) content/content.c content_open 744: content 0x2374c00 http://www.google.com/ads/user-lists/971225648/?script=0&random=2220413622
(22.497847) content/content.c content__init 83: url x-ns-css:3 -> 0x248fc50
(22.498663) content/content.c content_add_user 601: content x-ns-css:3 (0x248fc50), user 0x7f670 0x24828b0
(22.544479) content/content.c content_convert 283: content x-ns-css:3 (0x248fc50)
(22.552612) render/html_css.c html_convert_css_callback 104: done stylesheet slot 4 'x-ns-css:3'
(22.552818) render/html_css.c html_convert_css_callback 106: 2 fetches active
(22.553075) content/content.c content__init 83: url file:///usr/share/netsurf/gtkdefault.css -> 0x248bf60
(22.553364) content/content.c content_add_user 601: content file:///usr/share/netsurf/gtkdefault.css (0x248bf60), user 0x7f670 0x2412580
(22.555181) content/content.c content_convert 283: content file:///usr/share/netsurf/gtkdefault.css (0x248bf60)
(22.555483) render/html_css.c html_convert_css_callback 112: stylesheet resource:user.css failed: UnacceptableType
(22.555693) render/html_css.c html_convert_css_callback 116: 1 fetches active
(22.556762) content/content.c content_convert 283: content http://www.google.com/ads/user-lists/971225648/?script=0&random=2220413622 (0x2374c00)
(22.557136) render/html_object.c html_object_callback 160: 1 fetches active
(22.557455) content/content.c content__init 83: url file:///usr/share/netsurf/default.css -> 0x242b1f0
(22.557746) content/content.c content_add_user 601: content file:///usr/share/netsurf/default.css (0x242b1f0), user 0x7f670 0x2387010
(22.578488) content/content.c content_convert 283: content file:///usr/share/netsurf/default.css (0x242b1f0)
(22.578821) render/html_css.c html_convert_css_callback 104: done stylesheet slot 0 'file:///usr/share/netsurf/gtkdefault.css'
(22.582169) render/html_css.c html_convert_css_callback 106: 0 fetches active
(22.582318) render/html.c html_begin_conversion 1085: Completing parse
(22.582797) render/html.c html_finish_conversion 577: DOM to box (0x1ecf4f0)
(22.586776) render/html.c html_box_convert_done 85: Done XML to box (0x1ecf4f0)
(22.592261) content/content.c content__reformat 362: 0x1ecf4f0 http://www.theguardian.com/email/form/footer/1493
(22.614566) content/content.c content_open 744: content 0x1ecf4f0 http://www.theguardian.com/email/form/footer/1493
(22.614920) content/content.c content__reformat 362: 0x1ecf4f0 http://www.theguardian.com/email/form/footer/1493
(26.359071) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x238da10, url 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(26.359557) desktop/sslcert_viewer.c sslcert_viewer_fini 417: Finalising ssl certificate viewer
(26.359638) desktop/sslcert_viewer.c sslcert_viewer_fini 430: Finalised ssl certificate viewer
(26.754087) content/fetchers/curl.c fetch_curl_done 860: done https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair
(26.755187) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 302
(26.756107) content/fetchers/curl.c fetch_curl_process_headers 1232: FETCH_REDIRECT, 'https://sb.scorecardresearch.com/r2?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(26.757147) content/fetchers/curl.c fetch_curl_abort 727: fetch 0x238da10, url 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(26.758265) content/llcache.c llcache_process_metadata 1248: Retriving metadata
(26.759319) content/fs_backing_store.c get_store_entry 487: url:https://sb.scorecardresearch.com/r2?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair
(26.760027) content/fs_backing_store.c fetch 1163: entry not found
(26.760211) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x2425dc8, url 'https://sb.scorecardresearch.com/r2?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(26.760983) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x238da10, url 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(26.816566) content/fetchers/curl.c fetch_curl_process_headers 1221: HTTP status code 200
(26.822269) content/fetchers/curl.c fetch_curl_done 860: done https://sb.scorecardresearch.com/r2?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair
(26.822496) content/fetchers/curl.c fetch_curl_stop 748: fetch 0x2425dc8, url 'https://sb.scorecardresearch.com/r2?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
(26.823283) content/content.c content__init 83: url https://sb.scorecardresearch.com/r2?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016% -> 0x2425dc8
(26.823531) content/content.c content_add_user 601: content https://sb.scorecardresearch.com/r2?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016% (0x2425dc8), user 0x7f670 0x2320290
(26.832109) content/content.c content_open 744: content 0x2425dc8 https://sb.scorecardresearch.com/r2?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair
(26.833003) content/content.c content_convert 283: content https://sb.scorecardresearch.com/r2?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=135258871&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016% (0x2425dc8)
(26.834213) render/html_object.c html_object_callback 160: 0 fetches active
(26.834681) content/content.c content__reformat 362: 0x1f610c8 http://www.theguardian.com/money/2016/feb/05/error-53-apple-iphone-software-update-handset-worthless-third-party-repair
(27.078379) content/content.c content__reformat 362: 0x1ecf4f0 http://www.theguardian.com/email/form/footer/1493
(27.083169) desktop/browser.c browser_window_update_favicon 1071: fetching favicon rel:shortcut icon 'https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico'
(27.351107) content/content.c content_add_user 601: content https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico (0x21c6ca0), user 0x7f670 0x2343750
(27.352367) content/content.c content_close 761: content 0x21c6ca0 https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico
(27.353424) content/content.c content_remove_user 629: content https://assets.guim.co.uk/images/favicons/79d7ab5a729562cebca9c6a13c324f0e/32x32.ico (0x21c6ca0), user 0x7f670 0x1faf108
(27.354376) gtk/window.c gui_window_set_icon 929: Using 0x2288578 bitmap
(27.374880) content/fetchers/curl.c fetch_curl_setup 379: fetch 0x2289df0, url 'https://sb.scorecardresearch.com/r?c2=6035250&d.c=gif&d.o=guardiangu-network&d.x=228942968&d.t=page&d.u=www.theguardian.com%2Fmoney%2F2016%2Ffeb%2F05%2Ferror-53-apple-iphone-software-update-handset-worthless-third-party-repair'
netsurf: desktop/tree.c:187: treeview_test_fini: Assertion `ssl_current_session != ((void *)0) && "Can't use sslcert window after sslcert_viewer_fini()"' failed.
Aborted
pi@raspberrypi:~ $
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001408

Vincent Sanders (administrator)

This was cause by GTK core window handling. I have re-written GTK core window handling to fix this issue and now multiple SSL errors can be reported and viewed.

This will be available in the 3.6 release
Vincent Sanders

~0001425

Vincent Sanders (administrator)

this issue has been closed because it is included in the 3.6 release
+Notes

-Issue History
Date Modified Username Field Change
2016-03-12 06:11 user3 New Issue
2016-04-05 08:29 Vincent Sanders Status new => acknowledged
2016-04-05 08:29 Vincent Sanders Additional Information Updated View Revisions
2016-04-12 22:40 Andrew Pinder File Added: Log
2016-04-12 22:43 Andrew Pinder File Added: SSLwindow.jpg
2016-04-12 22:52 Andrew Pinder File Added: SSLwindow0.JPG
2016-09-21 09:37 Vincent Sanders Issue cloned: 0002471
2016-09-21 09:41 Vincent Sanders File Deleted: SSLwindow0.JPG
2016-09-21 09:41 Vincent Sanders File Deleted: SSLwindow.jpg
2016-09-21 09:41 Vincent Sanders File Deleted: Log
2016-09-21 09:43 Vincent Sanders Note Added: 0001408
2016-09-21 09:43 Vincent Sanders Assigned To => Vincent Sanders
2016-09-21 09:43 Vincent Sanders Status acknowledged => resolved
2016-09-21 09:43 Vincent Sanders Resolution open => fixed
2016-09-21 09:43 Vincent Sanders Fixed in Version => 3.6
2016-09-21 09:43 Vincent Sanders Summary SSL certifcate problem causes browser crash => GTK SSL certifcate problem causes browser crash
2016-11-22 21:55 Vincent Sanders Note Added: 0001425
2016-11-22 21:55 Vincent Sanders Status resolved => closed
+Issue History